souch.smp/lastbuild 17

From F-Droid
Jump to: navigation, search

Installed Android Tools

Build Log

'Build.py failed on server for souch.smp:1.4.1'

detail

== Installed Android Tools ==

2020-10-29 13:32:27,309 INFO: Creating log directory
2020-10-29 13:32:27,310 INFO: Creating temporary directory
2020-10-29 13:32:27,310 INFO: Creating output directory
2020-10-29 13:32:30,874 INFO: Using git version 2.11.0
2020-10-29 13:32:30,874 INFO: Building version 1.4.1 (17) of souch.smp
2020-10-29 13:32:36,343 INFO: Getting source for revision v1.4.1
2020-10-29 13:32:38,303 INFO: Creating local.properties file at build/souch.smp/local.properties
2020-10-29 13:32:38,304 INFO: Creating local.properties file at build/souch.smp/app/local.properties
2020-10-29 13:32:38,309 INFO: Cleaned build.gradle of keysigning configs at build/souch.smp/app/build.gradle
2020-10-29 13:32:38,314 INFO: Cleaning Gradle project...
2020-10-29 13:33:00,488 INFO: Scanning source for common problems...
2020-10-29 13:33:00,498 INFO: Removing gradle-wrapper.jar at gradle/wrapper/gradle-wrapper.jar
2020-10-29 13:33:00,509 INFO: Creating source tarball...
2020-10-29 13:33:00,662 INFO: Building Gradle project...
2020-10-29 13:33:21,972 ERROR: Could not build app souch.smp: Build failed for souch.smp:1.4.1
==== detail begin ====
Found 4.4 via distributionUrl
Running /opt/gradle/versions/4.4/bin/gradle assembleRelease
WARNING: Configuration 'compile' is obsolete and has been replaced with 'implementation' and 'api'.
It will be removed at the end of 2018. For more information see: http://d.android.com/r/tools/update-dependency-configurations.html
WARNING: Configuration 'androidTestCompile' is obsolete and has been replaced with 'androidTestImplementation' and 'androidTestApi'.
It will be removed at the end of 2018. For more information see: http://d.android.com/r/tools/update-dependency-configurations.html
WARNING: Configuration 'androidTestApi' is obsolete and has been replaced with 'androidTestImplementation'.
It will be removed at the end of 2018. For more information see: http://d.android.com/r/tools/update-dependency-configurations.html
:app:preBuild UP-TO-DATE
:app:preReleaseBuild
:app:compileReleaseAidl
:app:compileReleaseRenderscript
:app:checkReleaseManifest
:app:generateReleaseBuildConfig
:app:prepareLintJar
:app:mainApkListPersistenceRelease
:app:generateReleaseResValues
:app:generateReleaseResources
:app:mergeReleaseResources
:app:createReleaseCompatibleScreenManifests
:app:processReleaseManifest
:app:splitsDiscoveryTaskRelease
:app:processReleaseResources
:app:generateReleaseSources
:app:javaPreCompileRelease
:app:compileReleaseJavaWithJavacNote: Some input files use or override a deprecated API.
Note: Recompile with -Xlint:deprecation for details.
Note: /home/vagrant/build/souch.smp/app/src/main/java/souch/smp/Rows.java uses unchecked or unsafe operations.
Note: Recompile with -Xlint:unchecked for details.

:app:compileReleaseNdk NO-SOURCE
:app:compileReleaseSources
:app:lintVitalRelease FAILED

FAILURE: Build failed with an exception.

* What went wrong:
Execution failed for task ':app:lintVitalRelease'.
> Could not resolve all files for configuration ':app:lintClassPath'.
   > Could not find com.android.tools.lint:lint-gradle:26.1.3.
     Searched in the following locations:
         file:/home/vagrant/android-sdk/extras/m2repository/com/android/tools/lint/lint-gradle/26.1.3/lint-gradle-26.1.3.pom
         file:/home/vagrant/android-sdk/extras/m2repository/com/android/tools/lint/lint-gradle/26.1.3/lint-gradle-26.1.3.jar
         file:/home/vagrant/android-sdk/extras/google/m2repository/com/android/tools/lint/lint-gradle/26.1.3/lint-gradle-26.1.3.pom
         file:/home/vagrant/android-sdk/extras/google/m2repository/com/android/tools/lint/lint-gradle/26.1.3/lint-gradle-26.1.3.jar
         file:/home/vagrant/android-sdk/extras/android/m2repository/com/android/tools/lint/lint-gradle/26.1.3/lint-gradle-26.1.3.pom
         file:/home/vagrant/android-sdk/extras/android/m2repository/com/android/tools/lint/lint-gradle/26.1.3/lint-gradle-26.1.3.jar
         https://jcenter.bintray.com/com/android/tools/lint/lint-gradle/26.1.3/lint-gradle-26.1.3.pom
         https://jcenter.bintray.com/com/android/tools/lint/lint-gradle/26.1.3/lint-gradle-26.1.3.jar
     Required by:
         project :app

* Try:
Run with --stacktrace option to get the stack trace. Run with --info or --debug option to get more log output. Run with --scan to get full insights.

* Get more help at https://help.gradle.org

BUILD FAILED in 21s
16 actionable tasks: 16 executed
==== detail end ====